<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <h5 style="margin-top: 15px;">
       <span jhiTranslate="mpmApp.salesUnitRequirement.detail.title">Sales Unit Requirements</span>
    </h5>
    <br/>
    <p-panel>
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item" [hidden]="!(salesUnitRequirement.currentStatus === 10 || salesUnitRequirement.currentStatus === 11)">
                    <a class="btn" (click)="canceled()" style="cursor: pointer;">
                        <span><i class="fa fa-remove"></i> &nbsp;{{'entity.action.cancel' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="salesUnitRequirement.currentStatus !== 12">
                    <a class="btn" (click)="completed()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.completed' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="salesUnitRequirement.currentStatus !== 11">
                    <a class="btn" (click)="approved()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.approve' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="salesUnitRequirement.currentStatus !== 10">
                    <a class="btn" (click)="activated()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.activate' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;">
                        <span><i class="fa fa-angle-left"></i> &nbsp;{{'entity.action.back' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;">
                        <span><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</span>
                    </a>
                </li>
            </ul>
        </p-header>
        <p-accordion>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.detail' | translate}}">
                <div class="ui-g">
                    <div class="ui-g-12">
                        <label for="field_requirementNumber">VSO Number</label>
                    </div>
                    <div class="ui-g-12">
                        <input type="text" class="form-control" name="requirementNumber" id="field_requirementNumber" [(ngModel)]="salesUnitRequirement.requirementNumber"
                            readonly/>
                    </div>
                </div>
                <p-fieldset legend="Motor" [toggleable]="true">
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label jhiTranslate="mpmApp.salesUnitRequirement.product" for="field_product">Product</label>
                        </div>
                        <div class="ui-g-12">
                            <p-dropdown *ngIf="!fetchMotor" 
                                name="field_product" 
                                id="field_product"
                                [options]="motorsForSelect" 
                                [(ngModel)]="selectedMotor" 
                                [style]="{'width':'100%'}" 
                                [disabled]="isDisableSelectMotor(salesUnitRequirement)"
                                (onChange)="selectMotor(true)" [filter]="true" filterBy="label">
                            </p-dropdown>
                            <jhi-fetching-data 
                                *ngIf="fetchMotor"
                            ></jhi-fetching-data>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label>Harga Off The Road</label>
                            <div class="ui-g-12">
                                <input type="text" currencyMask class="form-control" pInputText name="het_price" id="het_price" readonly="true" [(ngModel)]="salesUnitRequirement.hetprice"
                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
                            </div>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label>Harga BBN</label>
                            <div class="ui-g-12">
                                <input type="text" currencyMask class="form-control" pInputText name="bbn_price" id="bbn_price" readonly="true" [(ngModel)]="salesUnitRequirement.bbnprice"
                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
                            </div>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label jhiTranslate="mpmApp.salesUnitRequirement.common.unitPrice" for="unit_price">Harga Unit On The Road</label>
                            <div class="ui-g-12">
                                <input type="text" currencyMask class="form-control" pInputText name="unit_price" id="unit_price" readonly [(ngModel)]="salesUnitRequirement.unitPrice"
                                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
                            </div>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.color' | translate}}</div>
                        <div class="ui-g-12">
                            <select class="form-control" id="field_color" name="color" [(ngModel)]="salesUnitRequirement.colorId">
                                <option [ngValue]="null">-Please Select-</option>
                                <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.refKey}} - {{featureOption.description}}</option>
                            </select>
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12 mandatory">Tahun Produksi</div>
                        <div class="ui-g-12">
                            <select class="form-control" id="field_year" name="year" [(ngModel)]="salesUnitRequirement.productYear" required>
                                <option [ngValue]="null">-Please Select-</option>
                                <option [ngValue]="year" *ngFor="let year of years">{{year}}</option>
                            </select>
                        </div>
                    </div>
                </p-fieldset>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.noteRequestNokaNosin' | translate}}</div>
                    <div class="ui-g-12">
                        <textarea id="requestIdMachineAndFrame" name="requestIdMachineAndFrame" [(ngModel)]="salesUnitRequirement.requestIdMachineAndFrame"
                            class="form-control" rows="3"></textarea>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.policeNumber' | translate}}</div>
                    <div class="ui-g-12">
                        <input id="nomor_nopol" name="nomor_nopol" [(ngModel)]="salesUnitRequirement.requestpoliceid" class="form-control">
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.notePartner' | translate}}</div>
                    <div class="ui-g-12">
                        <textarea id="note_partner" name="note_partner" [(ngModel)]="salesUnitRequirement.notePartner" class="form-control" rows="3"></textarea>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.common.note' | translate}}</div>
                    <div class="ui-g-12">
                        <textarea id="note" name="note" [(ngModel)]="salesUnitRequirement.note" class="form-control" rows="3"></textarea>
                    </div>
                </div>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.dataCustomer' | translate}}">
                <jhi-sur-request-customer
                    [idRequestType] = "idRequestType"
                    [salesUnitRequirement] = "salesUnitRequirement"
                ></jhi-sur-request-customer>
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.paymentDetail' | translate}}">
                <div *ngIf="salesUnitRequirement.idRequirement === undefined">
                    <div class="alert alert-info" role="alert">
                        You cant use this function in new data state, use this function in edit state
                    </div>
                </div>
                <div *ngIf="salesUnitRequirement.idRequirement !== undefined">
                    <jhi-receipt-as-list 
                        [idParty]="salesUnitRequirement.partyId" 
                        [isCountReceipt]="isCountReceipt" 
                        (fnCallback)="countReceipt($event)"
                        [idRequirement]="salesUnitRequirement.idRequirement">
                    </jhi-receipt-as-list>
                    <div class="ui-g">
                        <div class="ui-g-3 ui-sm-12">
                            <label jhiTranslate="mpmApp.salesUnitRequirement.common.totalPayment" for="field_totalpayment">Total Payment</label>
                        </div>
                        <div class="ui-g-9 ui-sm-12" align="right">
                            {{ totalReceipt | currency : 'IDR' : true }}
                        </div>
                    </div>
                    <hr>
                    <div class="ui-g" *ngIf="salesUnitRequirement.idReqTyp === 102">
                        <div class="ui-g-12">Broker Fee</div>
                        <div class="ui-g-12" >
                            <input type="text" currencyMask id="brokerfee" name="brokerfee" pInputText [(ngModel)]="salesUnitRequirement.brokerFee"
                                (blur)="countRemainingPayment()" class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            />
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">
                            <label jhiTranslate="mpmApp.salesUnitRequirement.saleType" for="field_paymenttype">Payment Type</label>
                        </div>
                        <div class="ui-g-12">
                            <select class="form-control" id="field_paymenttype" name="field_paymenttype" (change)="selectSaleType()" [(ngModel)]="salesUnitRequirement.saleTypeId">
                                <option [ngValue]="null">-Please Select-</option>
                                <option [ngValue]="opt.idSaleType" *ngFor="let opt of saletypes; trackBy: trackSaleTypeById">{{opt.description}}</option>
                            </select>
                        </div>
                    </div>
                    <div class="ui-g" [hidden]="!isCredit">
                        <div class="ui-g-12">
                            <label for="field_leasing">Leasing</label>
                        </div>
                        <div class="ui-g-12">
                            <select class="form-control" id="field_leasing" name="field_leasing" [(ngModel)]="salesUnitRequirement.leasingCompanyId">
                                <option [ngValue]="null">-Please Select-</option>
                                <option [ngValue]="option.idPartyRole" *ngFor="let option of leasingCompanies; trackBy: trackLeasingCompanyById">
                                    {{option.partyName}}
                                </option>
                            </select>
                        </div>
                    </div>
                    <div class="ui-g" [hidden]="!isCredit">
                        <div class="ui-g-12">
                            <label for="field_tenor">Tenor</label>
                        </div>
                        <div class="ui-g-12">
                            <input type="text" id="creditTenor" name="creditTenor" pInputText 
                            [(ngModel)]="salesUnitRequirement.creditTenor" class="form-control"/>
                            </select>
                        </div>
                    </div>
                    <div class="ui-g" [hidden]="!isCredit">
                        <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.downPayment' | translate}}</div>
                        <div class="ui-g-12">
                            <input type="text" currencyMask id="field_creditDP" (blur)="countRemainingDownPayment()" name="field_creditDP" [(ngModel)]="salesUnitRequirement.creditDownPayment"
                                pInputText class="form-control" 
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                        </div>
                    </div>
                    <div class="ui-g" [hidden]="!isCredit">
                        <div class="ui-g-12">{{'mpmApp.salesUnitRequirement.installment' | translate}}</div>
                        <div class="ui-g-12">
                            <input type="text" currencyMask id="field_installment" name="field_installment" [(ngModel)]="salesUnitRequirement.creditInstallment"
                                pInputText class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            />
                        </div>
                    </div>
                    <hr>
                    <div class="ui-g">
                        <div class="ui-g-12">Subsidi AHM</div>
                        <div class="ui-g-12">
                            <input type="text" currencyMask id="subsahm" name="subsahm" pInputText [(ngModel)]="salesUnitRequirement.subsahm" class="form-control"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">Subsidi Main Dealer</div>
                        <div class="ui-g-12">
                            <input type="text" currencyMask id="subsmd" name="subsmd" pInputText [(ngModel)]="salesUnitRequirement.subsmd" class="form-control"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                        </div>
                    </div>
                    <div class="ui-g">
                        <div class="ui-g-12">Subsidi Dealer</div>
                        <div class="ui-g-12">
                            <input type="text" currencyMask id="subsd" name="subsd" pInputText [disabled]="isDisabledSubsidiDealer(salesUnitRequirement)"
                                [(ngModel)]="salesUnitRequirement.subsown" class="form-control" (blur)="countSubsidiDealer()" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            />
                        </div>
                    </div>
                    <div class="ui-g" [hidden]="!isCredit">
                        <div class="ui-g-12">Subsidi Fin Comp</div>
                        <div class="ui-g-12">
                            <input type="text" currencyMask id="subsfincomp" name="subsfincomp" pInputText [disabled]="isDisabledSubsidiFinCo" [(ngModel)]="salesUnitRequirement.subsfincomp"
                                (blur)="countRemainingDownPayment()" class="form-control" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            />
                        </div>
                    </div>
                    <div class="ui-g" [hidden]="isCredit">
                        <div class="ui-g-3 ui-sm-12">
                            <label jhiTranslate="mpmApp.salesUnitRequirement.common.remainingPayment" for="field_remainingPayment">Remaining Payment</label>
                        </div>
                        <div class="ui-g-9 ui-sm-12" align="right">
                            {{remainingPayment}}
                        </div>
                    </div>
                    <div class="ui-g" [hidden]="!isCredit">
                        <div class="ui-g-3 ui-sm-12">
                            <label jhiTranslate="mpmApp.salesUnitRequirement.common.remainingDownPayment">RemainingDown Payment</label>
                        </div>
                        <div class="ui-g-9 ui-sm-12" align="right">
                            {{remainingDownPayment}}
                        </div>
                    </div>
                </div>
            </p-accordionTab>
            <p-accordionTab header="Data STNK">
                <div *ngIf="salesUnitRequirement.idRequirement === undefined">
                    <div>
                    <jhi-person-view 
                        *ngIf="checkSTNK() === 'person'"
                        [person]="salesUnitRequirement.personOwner"
                    ></jhi-person-view>
                    </div>
                </div>
                <div *ngIf="salesUnitRequirement.idRequirement !== undefined">
                    <div>
                    <jhi-sur-person
                        *ngIf="checkSTNK() === 'person'"
                        [idRequestType] = "idRequestType"
                        [salesUnitRequirement]="salesUnitRequirement"
                    ><jhi-sur-person>
                    </div>
                </div>
                <!-- <div>
                <jhi-organization-view
                    *ngIf="checkSTNK() === 'organization'"
                    [organization] = "salesUnitRequirement.organizationOwner"
                ></jhi-organization-view>
                </div> -->
                <div *ngIf="salesUnitRequirement.idRequirement !== undefined">  
                <div>
                    <jhi-sur-organization
                        *ngIf="checkSTNK() === 'organization'"
                        [idRequestType] = "idRequestType"
                        [salesUnitRequirement]="salesUnitRequirement"
                    ></jhi-sur-organization>
                </div>
                </div> 

                <div *ngIf="salesUnitRequirement.idRequirement === undefined">
                <div>
                <jhi-organization-viewgc
                    *ngIf="checkSTNK() === 'organization'"
                    [organization] = "salesUnitRequirement.organizationOwner"
                ></jhi-organization-viewgc>
                </div>
                </div>

                <!-- <jhi-sur-request-customer
                    *ngIf="checkSTNK() === 'organization'"
                    [idRequestType] = "idRequestType"
                    [salesUnitRequirement] = "salesUnitRequirement"
                ></jhi-sur-request-customer> -->
            </p-accordionTab>
            <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.document' | translate}}">
                <jhi-party-document-as-list 
                    *ngIf="salesUnitRequirement.idRequirement !== undefined"
                    [idparty]="salesUnitRequirement.partyId" 
                ></jhi-party-document-as-list>
                <div class="alert alert-info" role="alert" *ngIf="salesUnitRequirement.idRequirement === undefined">
                    You cant use this function in new data state, use this function in edit state
                </div>
            </p-accordionTab>
        </p-accordion>
    </p-panel>
</form>